Translator (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.runtime.Translator class
Date: 2021-03-21

net.sourceforge.jnlp.runtime

## Class Translator

- java.lang.Object
- - net.sourceforge.jnlp.runtime.Translator

-     public class Translator
      extends java.lang.Object

  Utility class to provide simple methods to help localize messages

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Translator` | `getInstance()`
    `protected java.lang.String` | `getMessage(java.lang.String key, java.lang.Object... args)`
    `static java.lang.String` | `R(java.lang.String message)` Return a translated (localized) version of the message
    `static java.lang.String` | `R(java.lang.String message, java.lang.Object... params)`
    `static java.lang.String` | `VVPossibleBrowserValues()` convenient method to show VVPossibleBrowserValues with all four params

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static Translator getInstance()

    - #### R

          public static java.lang.String R(java.lang.String message)

      Return a translated (localized) version of the message
      Parameters:
        `message` - the message to translate
      Returns:
        a string representing the localized message

    - #### R

          public static java.lang.String R(java.lang.String message,
                                           java.lang.Object... params)

      Parameters:
        `message` - key to be found in properties
        `params` - params to be expanded to message
      Returns:
        the localized string for the message

    - #### VVPossibleBrowserValues

          public static java.lang.String VVPossibleBrowserValues()

      convenient method to show VVPossibleBrowserValues with all four params
      Returns:
        translation of VVPossibleBrowserValues with all params in

    - #### getMessage

          protected java.lang.String getMessage(java.lang.String key,
                                                java.lang.Object... args)

      Parameters:
        `key` - key to be found in properties
        `args` - params to be expanded to message
      Returns:
        the localized resource string using the specified arguments.

Submit a bug or feature